## ceilometer 0.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: check-dependencies
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: check-dependencies
check-dependencies:
	@python -c 'import sphinxcontrib.autohttp.flask' >/dev/null 2>&1 || (echo "ERROR: Missing Sphinx dependencies. Run: pip install sphinxcontrib-httpdomain" && exit 1)

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Ceilometer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Ceilometer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Ceilometer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Ceilometer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
http://tarballs.openstack.org/nova/nova-master.tar.gz
webob
kombu
iso8601
lockfile
netaddr
argparse
sqlalchemy
eventlet
anyjson>=0.3.1
Flask==0.9
sphinxcontrib-httpdomain
pymongo==2.2.1

## ceilometer 0~20121002

=== debian/changelog ===
ceilometer (0~20121002-0ubuntu2) quantal; urgency=low

  * Fix two typos in dependencies in debian/control (LP: #1063244)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 07 Oct 2012 07:49:55 -0600

ceilometer (0~20121002-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 03 Oct 2012 13:00:29 -0500

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-all-dev (>=  2.6.6-3~)
Build-Depends-Indep:
 python-webob,
 python-kombu,
 python-lockfile,
 python-netaddr,
 python-sqlalchemy,
 python-eventlet,
 python-anyjson,
 python-flask,
 python-stevedore,
 python-nose,
 pep8,
 python-ming,
 python-mock,
 python-mox,
 python-glanceclient,
 python-nova,
 python-glance,
 python-setuptools-git,
 python-iso8601
Standards-Version: 3.9.3

Package: python-ceilometer
Architecture: all
Depends: ${python:Depends},
 python-webob,
 python-kombu,
 python-iso8601,
 python-lockfile,
 python-netaddr,
 python-sqlalchemy,
 python-eventlet,
 python-anyjson,
 python-flask,
 python-stevedore,
 ${misc:Depends}
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to 
 aquire all counters they need to establish  customer billing, accross all 
 current and future OpenStack components. The delivery of counters must 
 be tracable and auditable, the counters must be easily extensible to support 
 new projects, and agents doing data collections should be 
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends: python-ceilometer (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
Provides: ${python:Provides}
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all 
 current and future OpenStack components. The delivery of counters must 
 be tracable and auditable, the counters must be easily extensible to support 
 new projects, and agents doing data collections should be 
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: ceioleter collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all 
 current and future OpenStack components. The delivery of counters must 
 be tracable and auditable, the counters must be easily extensible to support 
 new projects, and agents doing data collections should be 
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-api
Architecture: all
Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: ceioleter api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all 
 current and future OpenStack components. The delivery of counters must 
 be tracable and auditable, the counters must be easily extensible to support 
 new projects, and agents doing data collections should be 
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: ceioleter compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all 
 current and future OpenStack components. The delivery of counters must 
 be tracable and auditable, the counters must be easily extensible to support 
 new projects, and agents doing data collections should be 
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: ceioleter central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all 
 current and future OpenStack components. The delivery of counters must 
 be tracable and auditable, the counters must be easily extensible to support 
 new projects, and agents doing data collections should be 
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

## ceilometer 0.1

=== debian/changelog ===
ceilometer (0.1-0ubuntu2) raring; urgency=low

  * Fix typo in debian/control (ceioleter -> ceilometer) (LP: #1140309)

 -- Hans Joachim Desserud <ubuntu@desserud.org>  Sun, 03 Mar 2013 20:08:39 +0100

ceilometer (0.1-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 12 Oct 2012 09:34:05 -0500

=== debian/control ===
--- 
+++ 
@@ -73,7 +73,7 @@
 Package: ceilometer-collector
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
-Description: ceioleter collector service
+Description: ceilometer collector service
  Ceilometer aims to deliver a unique point of contact for billing systems to
  aquire all counters they need to establish  customer billing, accross all 
  current and future OpenStack components. The delivery of counters must 
@@ -88,7 +88,7 @@
 Package: ceilometer-api
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
-Description: ceioleter api service
+Description: ceilometer api service
  Ceilometer aims to deliver a unique point of contact for billing systems to
  aquire all counters they need to establish  customer billing, accross all 
  current and future OpenStack components. The delivery of counters must 
@@ -101,7 +101,7 @@
 Package: ceilometer-agent-compute
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
-Description: ceioleter compute agent
+Description: ceilometer compute agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  aquire all counters they need to establish  customer billing, accross all 
  current and future OpenStack components. The delivery of counters must 
@@ -116,7 +116,7 @@
 Package: ceilometer-agent-central
 Architecture: all
 Depends: ceilometer-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
-Description: ceioleter central agent
+Description: ceilometer central agent
  Ceilometer aims to deliver a unique point of contact for billing systems to
  aquire all counters they need to establish  customer billing, accross all 
  current and future OpenStack components. The delivery of counters must

## ceilometer 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

retrying!=1.3.0,>=1.2.3 # Apache-2.0
croniter>=0.3.4 # MIT License
eventlet>=0.17.4
jsonpath-rw-ext>=0.1.7
jsonschema!=2.5.0,<3.0.0,>=2.0.0
kafka-python>=0.9.2 # Apache-2.0
keystonemiddleware>=2.0.0
lxml>=2.3
msgpack-python>=0.4.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=1.6
pecan>=1.0.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.1
python-ceilometerclient>=1.5.0
python-glanceclient>=0.18.0
python-keystoneclient>=1.6.0
python-neutronclient>=2.6.0
python-novaclient>=2.28.1
python-swiftclient>=2.2.0
pytz>=2013.6
PyYAML>=3.1.0
requests>=2.5.2
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
tooz>=1.19.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3
WSME>=0.7

=== debian/changelog ===
ceilometer (1:5.0.0-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jan 2016 20:33:10 +0800

ceilometer (1:5.0.0-6) unstable; urgency=high

  * d/ceilometer-agent-*.init.in: Fix DAEMON_ARGS for
    central, compute and ipmi agents.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 10 Nov 2015 18:49:04 +0200

ceilometer (1:5.0.0-5) unstable; urgency=medium

  * Added q-text-as-data as depends for ceilometer-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:28:44 +0000

ceilometer (1:5.0.0-4) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:30:52 +0000

ceilometer (1:5.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 13:37:36 +0000

ceilometer (1:5.0.0-2) experimental; urgency=medium

  * Fixed ceilometer-common.postinst.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:41:24 +0200

ceilometer (1:5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Now checking for libvirt or libvirtd group existance before guessing it
    with "dpkg-vendor --derives-from ubuntu".

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Oct 2015 10:50:26 +0200

ceilometer (1:5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Get the ceilometer-agent-central use "ceilometer-polling --central".
  * Get the ceilometer-agent-compute to use "ceilometer-polling --namespace
    compute".
  * Updated nl.po
  * Now ceilometer-api depends on python-openstackclient.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Sep 2015 15:26:48 +0000

ceilometer (1:5.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Realign Ceilometer packaging with MOS.
  * Not using transition packages for sphinxcontrib stuff.
  * Do not run functiona tests when building.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Aug 2015 20:55:14 +0200

ceilometer (1:5.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Not using sphinxcontrib transition packages anymore.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Aug 2015 13:05:25 +0200

ceilometer (2015.1.0-6) unstable; urgency=medium

  * Updated French debconf translations thanks to Julien Patriarca
    (Closes: #789902).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:11:26 +0200

ceilometer (2015.1.0-5) unstable; urgency=medium

  * Added debconf screen to ask if dbsync should be done (Closes: #787536).
  * Put ceilometer-doc in the doc section.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 09:18:13 +0200

ceilometer (2015.1.0-4) unstable; urgency=medium

  * Added a documentation package with the sphinx docs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Jun 2015 09:40:08 +0000

ceilometer (2015.1.0-3) unstable; urgency=medium

  * Added ceilometer-polling as new package.
  * Removed Pre-Depends on dpkg.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Jun 2015 11:10:31 +0200

ceilometer (2015.1.0-2) unstable; urgency=medium

  * Added missing --namespace oslo.policy when generating default conf.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 May 2015 16:22:51 +0200

ceilometer (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:17:17 +0000

ceilometer (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Fixed default connection sed command line.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 14:47:10 +0800

ceilometer (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Using auth_protocol=http by default.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 16:04:27 +0800

ceilometer (2014.2-3) experimental; urgency=medium

  * Added argparse & ordereddict to debian/pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Oct 2014 10:58:28 +0000

ceilometer (2014.2-2) experimental; urgency=medium

  * Added missing python-posix-ipc as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Oct 2014 15:13:52 +0800

ceilometer (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 14:47:57 +0000

ceilometer (2014.2~rc3-1) experimental; urgency=medium

  * New upstream release.
  * Added missing configuration files in ceilometer-common.
  * Removed Add_oslo.db_to_config_generator.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Oct 2014 14:02:53 +0800

ceilometer (2014.2~rc1-4) experimental; urgency=medium

  * Adds patch for generating the config file correctly.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Oct 2014 14:32:36 +0000

ceilometer (2014.2~rc1-3) experimental; urgency=medium

  * Using a single unique ceilometer-common logrotate file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 13:45:40 +0800

ceilometer (2014.2~rc1-2) experimental; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Added missing binaries.
  * Now packaging ceilometer-agent-ipmi.
  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Fixed upstream files gone in debian/copyright.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 00:49:22 +0000

ceilometer (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 09:39:11 +0800

ceilometer (2014.2~b3-1) experimental; urgency=medium

  * New upstream release.
  * Generating config file from script, since it's gone from upstream.


=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: mongodb,
                     python-awsauth,
                     python-babel,
                     python-ceilometerclient (>= 1.5.0),
                     python-contextlib2,
                     python-coverage,
                     python-croniter,
                     python-elasticsearch (>= 1.3.0),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-gabbi (>= 1.1.4),
                     python-glanceclient (>= 1:0.18.0),
                     python-hacking (>= 0.9.2),
                     python-happybase,
                     python-httplib2,
                     python-jsonpath-rw-ext,
                     python-jsonschema,
                     python-kafka,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu,
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-msgpack (>= 0.4.0),
                     python-mysqldb,
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.1.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysnmp4,
                     python-requests (>= 2.5.2),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.docbookrestapi,
                     python-sphinxcontrib.httpdomain,
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.19.0),
                     python-tz,
                     python-webob,
                     python-werkzeug,
                     python-wsme (>= 0.7),
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Depends: libjs-jquery,
         python-ceilometerclient (>= 1.5.0),
         python-croniter,
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-greenlet,
         python-happybase,
         python-jsonpath-rw-ext,
         python-jsonschema,
         python-kafka,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-kombu,
         python-lxml,
         python-migrate (>= 0.9.7),
         python-msgpack (>= 0.4.0),
         python-mysqldb,
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.1.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.vmware (>= 1.16.0),
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pymongo,
         python-pymysql,
         python-pysnmp4,
         python-requests (>= 2.5.2),
         python-retrying,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-tooz (>= 1.19.0),
         python-tz,
         python-webob,
         python-werkzeug,
         python-wsme (>= 0.7),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service.

Package: ceilometer-polling
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system - polling service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: ceilometer-api
Architecture: all
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: mongodb,
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends: ceilometer-common (= ${binary:Version}),
         ipmitool,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@  --with python2,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-api.config debian/ceilometer-api.postinst

override_dh_install:
	dh_install --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	oslo-config-generator --output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--namespace ceilometer \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	sed -i 's|[# \t]*auth_protocol[\t ]*=.*|auth_protocol=http|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	chmod 0644 $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	sed -i 's|#connection[ \t]*=.*|connection=mongodb://localhost:27017/ceilometer|' $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		bash -x ./setup-test-env-mongodb.sh testr run --subunit 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## ceilometer 5.0.3

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 jsonpath-rw-ext>=0.1.7
 jsonschema!=2.5.0,<3.0.0,>=2.0.0
 kafka-python>=0.9.2 # Apache-2.0
-keystonemiddleware>=2.0.0
+keystonemiddleware!=2.4.0,>=2.0.0
 lxml>=2.3
 msgpack-python>=0.4.0
 oslo.context>=0.2.0 # Apache-2.0
@@ -24,20 +24,20 @@
 PasteDeploy>=1.5.0
 pbr>=1.6
 pecan>=1.0.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
-oslo.middleware>=2.8.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
+oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 pysnmp<5.0.0,>=4.2.1
 python-ceilometerclient>=1.5.0
 python-glanceclient>=0.18.0
-python-keystoneclient>=1.6.0
+python-keystoneclient!=1.8.0,>=1.6.0
 python-neutronclient>=2.6.0
-python-novaclient>=2.28.1
+python-novaclient!=2.33.0,>=2.28.1
 python-swiftclient>=2.2.0
 pytz>=2013.6
 PyYAML>=3.1.0
-requests>=2.5.2
+requests!=2.8.0,!=2.9.0,>=2.5.2
 six>=1.9.0
 SQLAlchemy<1.1.0,>=0.9.9
 sqlalchemy-migrate>=0.9.6

=== debian/changelog ===
ceilometer (1:5.0.3-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1587589).

 -- David Della Vecchia <ddv@canonical.com>  Wed, 01 Jun 2016 12:10:12 -0400

ceilometer (1:5.0.2-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1544568).
    - d/p/skip-gabbi.patch: Updated to handle new gabbi tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Feb 2016 08:59:34 -0500

ceilometer (1:5.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913):
    - d/p/disable-kafka.patch: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 11:56:50 +0000

ceilometer (1:5.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:33:10 -0400

ceilometer (1:5.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:09:35 -0400

ceilometer (1:5.0.0~rc1-0ubuntu3) wily; urgency=medium

  [ James Page ]
  * d/rules: Only execute unit tests during package build.
  * d/rules: Use upstream wrapper script to generate configuration file.

  [ Corey Bryant ]
  * d/tests/control: Add ceilometer-alarm-evaluator and
    ceilometer-alarm-notifier to depends.
  * d/tests/test-services: Added to test that systemd services are running.
  * d/tests/test-daemons: Dropped ceilometer-agent-{central,compute,ipmi}
    since they're replaced by ceilometer-polling.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Oct 2015 08:52:03 -0400

ceilometer (1:5.0.0~rc1-0ubuntu2) wily; urgency=medium

  [ Corey Bryant ]
  * d/ceilometer-agent-{central,compute,ipmi}.init.in: Restored and updated
    to use ceilometer-polling service instead of deprecated agent services.
  * d/tests/control: Add ceilometer-polling to depends.
  * d/tests/control: Add ceilometer-agent-{central,compute,ipmi} to depends.
  * d/tests/test-daemons: Add ceilometer-agent-{central,compute,ipmi} daemons.
  * d/control: Restore ceilometer-agent-{central,compute,ipmi} packages.

  [ James Page ]
  * d/ceilometer-agent-{central,compute,ipmi}.init.in: Update to use correct
    argument name 'polling-namespaces'.
  * d/control,ceilometer-common.install,ceilometer-polling.install: Move
    ceilometer-polling to common package for use across multiple daemon
    processes.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Sep 2015 09:48:29 -0400

ceilometer (1:5.0.0~rc1-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * d/control: Fixup typo for ceilometer-agent-central package
    (LP: #1256279).

  [ Corey Bryant ]
  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align (build-)depends with upstream.
  * Drop deprecated agents (central, compute and ipmi) in favor of
    ceilometer-polling tool:
    - d/ceilometer-agent-*.install: Dropped for above mentioned.
    - d/ceilometer-agent-*.init.in: Dropped for above mentioned.
    - d/control: Drop ceilometer-agent-* for above mentioned.
    - d/tests: Drop dependencies on ceilometer-agent-* for above mentioned.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Sep 2015 17:02:38 -0400

ceilometer (1:5.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-test.patch: Rebased.
  * d/p/skip-gabbi.patch: Rebased.
  * d/p/disable-kafka.patch: Updated for removal of setUp() method.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:48:26 -0400

ceilometer (1:5.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/p/disable-kafka.patch: Updated.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Aug 2015 08:35:54 -0400

ceilometer (1:5.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/disable-contextlib2.patch: Dropped. Added python-contextlib2 to BD's.
  * d/p/disable-kafka.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Aug 2015 11:28:21 -0400

ceilometer (1:5.0.0~b1-0ubuntu3) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:25:54 +0100

ceilometer (1:5.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/control: Drop python-pymysql and python-sphinxcontrib* BD's.
  * d/control: Drop unsupported dependencies (contextlib2, kafka):
    - d/p/disable-kafka.patch: Rebased and updated.
    - d/p/disable-contextlib2.patch: Disable contextlib2 based tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jul 2015 10:11:56 +0100

ceilometer (1:5.0.0~b1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/p/disable-kafka.patch: Rebased.

  [ James Page ]
  * Tidy duplicate licenses in copyright file.
  * Drop postrm scripts, removing duplicate calls to update-rc.d.
  * Tweak description of 'ceilometer-alarm-evaluator' package.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Jul 2015 15:00:27 +0100

ceilometer (2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release for OpenStack kilo (LP: #1449744):
    - d/p/disable-kafka.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:38:43 -0400

ceilometer (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: Align with upstream dependencies.
    - d/p/disable-kafka.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:51:39 -0400
